XNU IPComp on macOS memory corruption

entryeditHistoryDiffjsonxmlCTI
CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.1$0-$5k0.00

A vulnerability, which was classified as critical, was found in XNU IPComp on macOS (the affected version unknown). This affects some unknown processing. The manipulation with an unknown input leads to a memory corruption vulnerability. CWE is classifying the issue as CWE-119. This is going to have an impact on confidentiality, integrity, and availability.

The weakness was presented 10/09/2019 by Google Security Research as EDB-47479 as not defined exploit (Exploit-DB). The advisory is shared at exploit-db.com. This vulnerability is uniquely identified as CVE-2019-8717 since 02/18/2019. It is possible to initiate the attack remotely. No form of authentication is needed for exploitation. Technical details are unknown but a public exploit is available. The advisory points out:

This report describes a bug in the XNU implementation of the IPComp protocol (https://tools.ietf.org/html/rfc3173). This bug can be remotely triggered by an attacker who is able to send traffic to a macOS system (iOS AFAIK isn't affected) *over two network interfaces at the same time*.

A public exploit has been developed by Google Security Research and been published immediately after the advisory. It is declared as proof-of-concept. The exploit is shared for download at github.com.

The best possible mitigation is suggested to be disabling the affected component. The exploit contains the following remark:

I believe that by far the best way to fix this issue is to rip out the entire feature. Unless I'm missing some way for the initialization to succeed, it looks like nobody can have successfully used this feature in the last few years; and apparently nobody felt strongly enough about that to get the feature fixed.

See 142348, 147402 and 147428 for similar entries.

Productinfoedit

Vendor

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 7.0
VulDB Meta Temp Score: 6.1

VulDB Base Score: 6.3
VulDB Temp Score: 5.5
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 7.8
NVD Vector: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Class: Memory corruption
CWE: CWE-119
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Access: Public
Status: Proof-of-Concept
Author: Google Security Research
Download: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Exploit-DB: 🔍

Threat Intelligenceinfoedit

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasuresinfoedit

Recommended: Disable
Status: 🔍

0-Day Time: 🔍
Exploit Delay Time: 🔍

Timelineinfoedit

02/18/2019 🔍
10/09/2019 +233 days 🔍
10/09/2019 +0 days 🔍
10/09/2019 +0 days 🔍
10/11/2019 +2 days 🔍
10/01/2020 +356 days 🔍

Sourcesinfoedit

Advisory: EDB-47479
Researcher: Google Security Research
Status: Not defined
Confirmation: 🔍

CVE: CVE-2019-8717 (🔍)
scip Labs: https://www.scip.ch/en/?labs.20161013
See also: 🔍

Entryinfoedit

Created: 10/11/2019 09:55 AM
Updated: 10/01/2020 06:43 PM
Changes: (2) advisory_confirm_url source_cve_assigned
Complete: 🔍
Submitter: misc

Comments

No comments yet. Please log in to comment.

Are you interested in using VulDB?

Download the whitepaper to learn more about our service!